Subject: Re: [PATCH 4/4] booting-without-of for Freescale MSI

From: Segher Boessenkool <[email-masked]>
Date: Tue, 6 May 2008 12:44:22 +0200

>>> +    - compatible : should be "fsl,MPIC-MSI" for 85xx/86xx cpu,
>>> +      and "fsl,IPIC-MSI" for 83xx cpu.
>>
>> Please use a more specific name, "fsl,8599-msi" or similar?
>>
>
> Thanks for your input. I think the name "fsl,MPIC-MSI" and
> "fsl,IPIC-MSI"
> is somethind specific.

This is the third MSI-on-MPIC I've seen, and I doubt it will be the
last.  It is likely FSL will make some different one in the future,
as well.

Please don't use generic names for specific devices.

Segher